import { reactive } from "vue"
import type { NiConfig } from "./types"

const defaultConfig = reactive<NiConfig>({
    logoName: ['星', '撰'],
    messageOnMounted: false,
    size: 'default',
    zIndex: 2000,
    namespace: 'ni',
})

function setNiConfig(config: Partial<NiConfig>) {
    Object.assign(defaultConfig, config)
}

export { setNiConfig }
export default defaultConfig
